petsc-3.12.1 2019-10-22
Report Typos and Errors

# PCBDDCInterfaceExtType

Defines how interface balancing is extended into the interior of subdomains.

### Synopsis

    typedef enum {
      PC_BDDC_INTERFACE_EXT_DIRICHLET,
      PC_BDDC_INTERFACE_EXT_LUMP
    } PCBDDCInterfaceExtType;

### Values

| PC_BDDC_INTERFACE_EXT_DIRICHLET | - solves Dirichlet interior problem; this is the standard BDDC algorithm
| PC_BDDC_INTERFACE_EXT_LUMP | - skips interior solve; sometimes called M_1 and associated with "lumped FETI-DP"

### Level

intermediate

### Location

src/ksp/pc/../../../include/petscpctypes.h
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages